Bug 26374 - Update for 19974 is not idempotent
Summary: Update for 19974 is not idempotent
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 19974
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-03 16:35 UTC by Nick Clemens
Modified: 2021-11-23 00:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12,20.05.18


Attachments
Bug 26374: update from bug 19974 is not idempotent (915 bytes, patch)
2020-09-03 16:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26388: Do not show 'Renew all' or 'Renew selected' if no renewable items (4.42 KB, patch)
2020-09-04 14:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26374: update from bug 19974 is not idempotent (916 bytes, patch)
2020-09-04 18:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26374: update from bug 19974 is not idempotent (981 bytes, patch)
2021-10-28 08:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-09-03 16:35:37 UTC

    
Comment 1 Nick Clemens 2020-09-03 16:36:42 UTC
Created attachment 109633 [details] [review]
Bug 26374: update from bug 19974 is not idempotent
Comment 2 Nick Clemens 2020-09-04 14:30:30 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2020-09-04 18:05:50 UTC
Created attachment 109681 [details] [review]
Bug 26374: update from bug 19974 is not idempotent
Comment 4 Aleisha Amohia 2021-01-19 22:30:42 UTC
Does this depend on Bug 19974? Can you please provide a test plan?
Comment 5 Nick Clemens 2021-04-21 18:27:15 UTC
(In reply to Aleisha Amohia from comment #4)
> Does this depend on Bug 19974? Can you please provide a test plan?

It does depend on 19974

Essentially run the update statement, set some values, run it again, they are deleted.

I believe this was noticed because of internal backports, filing here because it could happen to others
Comment 6 Martin Renvoize 2021-10-28 08:12:57 UTC
Created attachment 127027 [details] [review]
Bug 26374: update from bug 19974 is not idempotent

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-10-28 08:13:23 UTC
Clear and understandable fix.. tested.

Going straight for QA
Comment 8 Jonathan Druart 2021-10-28 10:29:42 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-10-29 15:46:49 UTC
Pushed to 21.05.x for 21.05.05
Comment 10 Fridolin Somers 2021-11-10 23:45:35 UTC
Pushed to 20.11.x for 20.11.12
Comment 11 Victor Grousset/tuxayo 2021-11-15 04:41:47 UTC
Backported: Pushed to 20.05.x branch for 20.05.18
Comment 12 wainuiwitikapark 2021-11-23 00:11:32 UTC
Not backporting to 19.11.x - LTS version will just backport security patches